gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-grid5k] 120/141: remove log levels for pipeline output


From: gnunet
Subject: [taler-grid5k] 120/141: remove log levels for pipeline output
Date: Thu, 18 Nov 2021 14:51:01 +0100

This is an automated email from the git hooks/post-receive script.

marco-boss pushed a commit to branch master
in repository grid5k.

commit f943a69e8c4dfb3af205e22325fa578b75481060
Author: Boss Marco <bossm8@bfh.ch>
AuthorDate: Wed Nov 10 16:48:17 2021 +0100

    remove log levels for pipeline output
---
 configs/etc/monitor/loki.yaml |  3 +++
 docker/entrypoint.sh          | 62 ++++++++++++++++++++++++++++++++++---------
 experiment/README             | 13 ++++++---
 3 files changed, 62 insertions(+), 16 deletions(-)

diff --git a/configs/etc/monitor/loki.yaml b/configs/etc/monitor/loki.yaml
index 30e2c4b..813fcc7 100644
--- a/configs/etc/monitor/loki.yaml
+++ b/configs/etc/monitor/loki.yaml
@@ -51,6 +51,9 @@ limits_config:
   reject_old_samples: true
   reject_old_samples_max_age: 168h
   max_query_parallelism: 30
+  max_streams_per_user: 0
+  max_ingestion_burst_size_mb: 40
+  max_ingestion_rate_mb: 40
 
 chunk_store_config:
   max_look_back_period: 0s
diff --git a/docker/entrypoint.sh b/docker/entrypoint.sh
index f6018aa..36ddf5f 100644
--- a/docker/entrypoint.sh
+++ b/docker/entrypoint.sh
@@ -29,30 +29,52 @@ TALER_HOME=/taler
 
 function prepare() {
   cd "${TALER_HOME}/$1"
-  git checkout master && git pull
-  git checkout "$2" && (git pull || true)
+  git checkout master > /dev/null && git pull > /dev/null 2>&1
+  git checkout "$2" > /dev/null && (git pull > /dev/null 2>&1 || true)
 }
 
 function build() {
   prepare "$1" "$2"
   if [ "$CLEAN" = true ]; then
-    make clean || true
+    echo "INFO cleaning previous build"
+    make clean > /dev/null 2>&1 || true
   fi
-  if ! make; then
-    ./bootstrap 
-    ./configure --enable-logging=verbose --prefix=/usr || ./configure
+  if ! make > /dev/null 2>&1; then
+    echo "INFO running bootstrap and configure"
+    if ! ./bootstrap > bootstrap.log 2>&1; then
+      echo "ERROR bootstrap failed"
+      cat bootstrap.log
+      exit 1
+    fi
+    if ! (./configure --enable-logging=verbose --prefix=/usr > configure.log 
2>&1 || \
+         ./configure > configure.log 2>&1); then
+       echo "ERROR configure failed"
+       cat configure.log
+       exit 1
+    fi
   fi
   if [ ! -z "$3" ]; then
+    echo "INFO running custom command '$3'"
     /bin/bash -c "$3"
   fi
-  make dist
+  echo "INFO running 'make dist'"
+  if ! make dist > dist.log 2>&1;  then
+    echo "ERROR make dist failed"
+    cat dist.log
+    exit 1
+  fi
 }
 
 function install() {
   build "$1" "$2" "$3"
+  echo "INFO installing"
   if [[ $(ldconfig -p | grep "$1") == "" ]] || \
      [ "$CLEAN" = true ]; then
-    make install
+    if ! make install > install.log 2>&1; then
+      echo "ERROR install failed"
+      cat install.log
+      exit 1
+    fi
     ldconfig
   fi
 }
@@ -92,23 +114,36 @@ then
   fi
 fi
 
+echo "INFO preparing Grid5000 repository"
+prepare grid5k \
+      "${GRID5K_COMMIT_SHA}" 
+touch 
${TALER_HOME}/grid5k/image/grid5000/steps/data/{gnunet,wallet,exchange,merchant}.tar.gz
+if ! kameleon dryrun ${TALER_HOME}/grid5k/image/taler-debian11.yaml > 
dryrun.log 2>&1; then
+  echo "ERROR Grid5000 image configuration contains errors"
+  cat dryrun.log
+  exit 1
+else
+  rm ${TALER_HOME}/grid5k/image/grid5000/steps/data/*.tar.gz
+fi
+
+echo "INFO preparing GNUnet"
 install gnunet \
       "${GNUNET_COMMIT_SHA}"
 
+echo "INFO preparing Taler Exchange"
 install exchange \
       "${EXCHANGE_COMMIT_SHA}" \
       'find . -name "*Makefile*" -exec sed -i "/x-taler-bank.fee/d" {} \;'
 
+echo "INFO preparing Taler Merchant"
 install merchant \
       "${MERCHANT_COMMIT_SHA}"
 
+echo "INFO preparing Taler Wallet"
 build wallet-core \
       "${WALLET_COMMIT_SHA}"
 
-prepare grid5k \
-      "${GRID5K_COMMIT_SHA}" 
-
-cd image
+cd ${TALER_HOME}/grid5k/image
 
 if [ ! -f "build/taler-debian11/taler-debian11.tar.zst" ] || \
    [ "$REBUILD" = true ];
@@ -119,7 +154,8 @@ then
   mv "${TALER_HOME}"/wallet-core/taler-wallet*.tar.gz 
grid5000/steps/data/wallet.tar.gz
 
   rm -rf build || true
-  yes r | kameleon build taler-debian11.yaml
+  echo "INFO building image"
+  yes r | kameleon build taler-debian11.yaml | tee build.log 
 fi
 
 cd build/taler-debian11
diff --git a/experiment/README b/experiment/README
index 54874d6..5caae65 100755
--- a/experiment/README
+++ b/experiment/README
@@ -7,8 +7,15 @@ Steps:
   * cp env .env
   * edit .env and define the specified variables
   * DNS_HMAC_SHA256 can be generated with tsig-keygen from bind9 package (use 
the secret only)
-  * in the jfed experimenter gui click 'Open ESpec'
-  * specify the experiment name and time
-
+  * Start jFed Experimenter GUI 
+  * Load infra.rspec and click Run
+  * Specify the experiment name and time
+  * Wait until infra.rspec is allocated successfully
+  * Configure .env and set the hosts (maybe this can be fixed once we can use 
one rspec only)
+  * Click (Re)Run ESpec for the infra job job
+  * Load wallets.rspec into jFed and click Run
+  * Click (Re)Run ESpec for the wallets job
+  * Run `talet-perf update prometheus` on any deployed node
 
+To add more wallet processes run `taler-perf start wallets <NUM>` on any node
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]